RPMLUA(1)

BEZEICHNUNG
rpmlua - RPM-Lua-Interpreter

ÜBERSICHT
rpmlua [Optionen] [LUA-SKRIPT] [-- ARG …]

BESCHREIBUNG
Start des RPM-internen Lua-Interpreters.

Hinweis: Indices beginnen in Lua bei 1, deshalb ist der Name des Programms unter »arg[1]« anstatt des eher gewohnten Index Null.

ARGUMENTE
LUA-SKRIPT
    Ein Lua-Skript.

ARG
    Optionen und Argumente, die an das LUA_SKRIPT übergeben werden. rpmlua stoppt mit der Verarbeitung bei --.

OPTIONEN
-i, --interactive
    Startet eine interaktive Sitzung nach der Ausführung eines optionalen Skripts oder einer optionalen Anweisung.

--opts=OPTZEICHENKETTE
    Führt eine getopt(3)-Optionsverarbeitung der mit OPTZEICHENKETTE übergebenen Argumente durch.

-e ANWEISUNG, --execute ANWEISUNG
    Führt eine Lua-Anweisung vor einem optionalen Skript aus.

EXIT-STATUS
Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

BEISPIELE
rpmlua test.lua
    Eine Skriptdatei »test.lua« ausführen.

rpmlua --opts=ab:c args.lua -- 1 2 3 -c -b5
    Die Skriptdatei »args.lua« mit Optionsverarbeitung ausführen.

rpmlua -e "print(rpm.ver('1.0') < rpm.ver('2.0'))"
    Eine einzelne Anweisung zum Vergleich von RPM-Versionen ausführen.

rpmlua -i
    Eine interaktive Sitzung starten.

SIEHE AUCH
lua(1), popt(3), getopt(3), rpm(8) rpm-lua(7)

http://www.rpm.org/

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Christoph Brinkhaus <c.brinkhaus@t-online.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).